import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppEngineApplicationUrlDispatchRulesConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly project?: string;
    /**
     * dispatch_rules block.
     *
     * @stability stable
     */
    readonly dispatchRules: AppEngineApplicationUrlDispatchRulesDispatchRules[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppEngineApplicationUrlDispatchRulesTimeouts;
}
/**
 * @stability stable
 */
export interface AppEngineApplicationUrlDispatchRulesDispatchRules {
    /**
     * Domain name to match against.
     *
     * The wildcard "*" is supported if specified before a period: "*.".
     * Defaults to matching all domains: "*".
     *
     * @stability stable
     */
    readonly domain?: string;
    /**
     * Pathname within the host.
     *
     * Must start with a "/". A single "*" can be included at the end of the path.
     * The sum of the lengths of the domain and path may not exceed 100 characters.
     *
     * @stability stable
     */
    readonly path: string;
    /**
     * Pathname within the host.
     *
     * Must start with a "/". A single "*" can be included at the end of the path.
     * The sum of the lengths of the domain and path may not exceed 100 characters.
     *
     * @stability stable
     */
    readonly service: string;
}
/**
 * @stability stable
 */
export interface AppEngineApplicationUrlDispatchRulesTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppEngineApplicationUrlDispatchRules extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppEngineApplicationUrlDispatchRulesConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _project?;
    /**
     * @stability stable
     */
    get project(): string;
    /**
     * @stability stable
     */
    set project(value: string);
    /**
     * @stability stable
     */
    resetProject(): void;
    /**
     * @stability stable
     */
    get projectInput(): string | undefined;
    private _dispatchRules;
    /**
     * @stability stable
     */
    get dispatchRules(): AppEngineApplicationUrlDispatchRulesDispatchRules[];
    /**
     * @stability stable
     */
    set dispatchRules(value: AppEngineApplicationUrlDispatchRulesDispatchRules[]);
    /**
     * @stability stable
     */
    get dispatchRulesInput(): AppEngineApplicationUrlDispatchRulesDispatchRules[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppEngineApplicationUrlDispatchRulesTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppEngineApplicationUrlDispatchRulesTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppEngineApplicationUrlDispatchRulesTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
