import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ComputeNetworkPeeringConfig extends cdktf.TerraformMetaArguments {
    /**
     * Whether to export the custom routes to the peer network.
     *
     * Defaults to false.
     *
     * @stability stable
     */
    readonly exportCustomRoutes?: boolean;
    /**
     * @stability stable
     */
    readonly exportSubnetRoutesWithPublicIp?: boolean;
    /**
     * Whether to export the custom routes from the peer network.
     *
     * Defaults to false.
     *
     * @stability stable
     */
    readonly importCustomRoutes?: boolean;
    /**
     * @stability stable
     */
    readonly importSubnetRoutesWithPublicIp?: boolean;
    /**
     * Name of the peering.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * The primary network of the peering.
     *
     * @stability stable
     */
    readonly network: string;
    /**
     * The peer network in the peering.
     *
     * The peer network may belong to a different project.
     *
     * @stability stable
     */
    readonly peerNetwork: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ComputeNetworkPeeringTimeouts;
}
/**
 * @stability stable
 */
export interface ComputeNetworkPeeringTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ComputeNetworkPeering extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ComputeNetworkPeeringConfig);
    private _exportCustomRoutes?;
    /**
     * @stability stable
     */
    get exportCustomRoutes(): boolean;
    /**
     * @stability stable
     */
    set exportCustomRoutes(value: boolean);
    /**
     * @stability stable
     */
    resetExportCustomRoutes(): void;
    /**
     * @stability stable
     */
    get exportCustomRoutesInput(): boolean | undefined;
    private _exportSubnetRoutesWithPublicIp?;
    /**
     * @stability stable
     */
    get exportSubnetRoutesWithPublicIp(): boolean;
    /**
     * @stability stable
     */
    set exportSubnetRoutesWithPublicIp(value: boolean);
    /**
     * @stability stable
     */
    resetExportSubnetRoutesWithPublicIp(): void;
    /**
     * @stability stable
     */
    get exportSubnetRoutesWithPublicIpInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _importCustomRoutes?;
    /**
     * @stability stable
     */
    get importCustomRoutes(): boolean;
    /**
     * @stability stable
     */
    set importCustomRoutes(value: boolean);
    /**
     * @stability stable
     */
    resetImportCustomRoutes(): void;
    /**
     * @stability stable
     */
    get importCustomRoutesInput(): boolean | undefined;
    private _importSubnetRoutesWithPublicIp?;
    /**
     * @stability stable
     */
    get importSubnetRoutesWithPublicIp(): boolean;
    /**
     * @stability stable
     */
    set importSubnetRoutesWithPublicIp(value: boolean);
    /**
     * @stability stable
     */
    resetImportSubnetRoutesWithPublicIp(): void;
    /**
     * @stability stable
     */
    get importSubnetRoutesWithPublicIpInput(): boolean | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _network;
    /**
     * @stability stable
     */
    get network(): string;
    /**
     * @stability stable
     */
    set network(value: string);
    /**
     * @stability stable
     */
    get networkInput(): string;
    private _peerNetwork;
    /**
     * @stability stable
     */
    get peerNetwork(): string;
    /**
     * @stability stable
     */
    set peerNetwork(value: string);
    /**
     * @stability stable
     */
    get peerNetworkInput(): string;
    /**
     * @stability stable
     */
    get state(): string;
    /**
     * @stability stable
     */
    get stateDetails(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ComputeNetworkPeeringTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ComputeNetworkPeeringTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ComputeNetworkPeeringTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
