import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGoogleFolderConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly folder: string;
    /**
     * @stability stable
     */
    readonly lookupOrganization?: boolean;
}
/**
 * @stability stable
 */
export declare class DataGoogleFolder extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGoogleFolderConfig);
    /**
     * @stability stable
     */
    get createTime(): string;
    /**
     * @stability stable
     */
    get displayName(): string;
    private _folder;
    /**
     * @stability stable
     */
    get folder(): string;
    /**
     * @stability stable
     */
    set folder(value: string);
    /**
     * @stability stable
     */
    get folderInput(): string;
    /**
     * @stability stable
     */
    get folderId(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get lifecycleState(): string;
    private _lookupOrganization?;
    /**
     * @stability stable
     */
    get lookupOrganization(): boolean;
    /**
     * @stability stable
     */
    set lookupOrganization(value: boolean);
    /**
     * @stability stable
     */
    resetLookupOrganization(): void;
    /**
     * @stability stable
     */
    get lookupOrganizationInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    get parent(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
