import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGoogleKmsSecretConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly additionalAuthenticatedData?: string;
    /**
     * @stability stable
     */
    readonly ciphertext: string;
    /**
     * @stability stable
     */
    readonly cryptoKey: string;
}
/**
 * @stability stable
 */
export declare class DataGoogleKmsSecret extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGoogleKmsSecretConfig);
    private _additionalAuthenticatedData?;
    /**
     * @stability stable
     */
    get additionalAuthenticatedData(): string;
    /**
     * @stability stable
     */
    set additionalAuthenticatedData(value: string);
    /**
     * @stability stable
     */
    resetAdditionalAuthenticatedData(): void;
    /**
     * @stability stable
     */
    get additionalAuthenticatedDataInput(): string | undefined;
    private _ciphertext;
    /**
     * @stability stable
     */
    get ciphertext(): string;
    /**
     * @stability stable
     */
    set ciphertext(value: string);
    /**
     * @stability stable
     */
    get ciphertextInput(): string;
    private _cryptoKey;
    /**
     * @stability stable
     */
    get cryptoKey(): string;
    /**
     * @stability stable
     */
    set cryptoKey(value: string);
    /**
     * @stability stable
     */
    get cryptoKeyInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get plaintext(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
