import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGoogleServiceAccountAccessTokenConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly delegates?: string[];
    /**
     * @stability stable
     */
    readonly lifetime?: string;
    /**
     * @stability stable
     */
    readonly scopes: string[];
    /**
     * @stability stable
     */
    readonly targetServiceAccount: string;
}
/**
 * @stability stable
 */
export declare class DataGoogleServiceAccountAccessToken extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGoogleServiceAccountAccessTokenConfig);
    /**
     * @stability stable
     */
    get accessToken(): string;
    private _delegates?;
    /**
     * @stability stable
     */
    get delegates(): string[];
    /**
     * @stability stable
     */
    set delegates(value: string[]);
    /**
     * @stability stable
     */
    resetDelegates(): void;
    /**
     * @stability stable
     */
    get delegatesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _lifetime?;
    /**
     * @stability stable
     */
    get lifetime(): string;
    /**
     * @stability stable
     */
    set lifetime(value: string);
    /**
     * @stability stable
     */
    resetLifetime(): void;
    /**
     * @stability stable
     */
    get lifetimeInput(): string | undefined;
    private _scopes;
    /**
     * @stability stable
     */
    get scopes(): string[];
    /**
     * @stability stable
     */
    set scopes(value: string[]);
    /**
     * @stability stable
     */
    get scopesInput(): string[];
    private _targetServiceAccount;
    /**
     * @stability stable
     */
    get targetServiceAccount(): string;
    /**
     * @stability stable
     */
    set targetServiceAccount(value: string);
    /**
     * @stability stable
     */
    get targetServiceAccountInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
