import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGoogleServiceAccountIdTokenConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly delegates?: string[];
    /**
     * @stability stable
     */
    readonly includeEmail?: boolean;
    /**
     * @stability stable
     */
    readonly targetAudience: string;
    /**
     * @stability stable
     */
    readonly targetServiceAccount?: string;
}
/**
 * @stability stable
 */
export declare class DataGoogleServiceAccountIdToken extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGoogleServiceAccountIdTokenConfig);
    private _delegates?;
    /**
     * @stability stable
     */
    get delegates(): string[];
    /**
     * @stability stable
     */
    set delegates(value: string[]);
    /**
     * @stability stable
     */
    resetDelegates(): void;
    /**
     * @stability stable
     */
    get delegatesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get idToken(): string;
    private _includeEmail?;
    /**
     * @stability stable
     */
    get includeEmail(): boolean;
    /**
     * @stability stable
     */
    set includeEmail(value: boolean);
    /**
     * @stability stable
     */
    resetIncludeEmail(): void;
    /**
     * @stability stable
     */
    get includeEmailInput(): boolean | undefined;
    private _targetAudience;
    /**
     * @stability stable
     */
    get targetAudience(): string;
    /**
     * @stability stable
     */
    set targetAudience(value: string);
    /**
     * @stability stable
     */
    get targetAudienceInput(): string;
    private _targetServiceAccount?;
    /**
     * @stability stable
     */
    get targetServiceAccount(): string;
    /**
     * @stability stable
     */
    set targetServiceAccount(value: string);
    /**
     * @stability stable
     */
    resetTargetServiceAccount(): void;
    /**
     * @stability stable
     */
    get targetServiceAccountInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
