import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FolderIamAuditConfigConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly folder: string;
    /**
     * Service which will be enabled for audit logging.
     *
     * The special value allServices covers all services.
     *
     * @stability stable
     */
    readonly service: string;
    /**
     * audit_log_config block.
     *
     * @stability stable
     */
    readonly auditLogConfig: FolderIamAuditConfigAuditLogConfig[];
}
/**
 * @stability stable
 */
export interface FolderIamAuditConfigAuditLogConfig {
    /**
     * Identities that do not cause logging for this type of permission.
     *
     * Each entry can have one of the following values:user:{emailid}: An email address that represents a specific Google account. For example, alice@gmail.com or joe@example.com. serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. domain:{domain}: A G Suite domain (primary, instead of alias) name that represents all the users of that domain. For example, google.com or example.com.
     *
     * @stability stable
     */
    readonly exemptedMembers?: string[];
    /**
     * Permission type for which logging is to be configured.
     *
     * Must be one of DATA_READ, DATA_WRITE, or ADMIN_READ.
     *
     * @stability stable
     */
    readonly logType: string;
}
/**
 * @stability stable
 */
export declare class FolderIamAuditConfig extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FolderIamAuditConfigConfig);
    /**
     * @stability stable
     */
    get etag(): string;
    private _folder;
    /**
     * @stability stable
     */
    get folder(): string;
    /**
     * @stability stable
     */
    set folder(value: string);
    /**
     * @stability stable
     */
    get folderInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _service;
    /**
     * @stability stable
     */
    get service(): string;
    /**
     * @stability stable
     */
    set service(value: string);
    /**
     * @stability stable
     */
    get serviceInput(): string;
    private _auditLogConfig;
    /**
     * @stability stable
     */
    get auditLogConfig(): FolderIamAuditConfigAuditLogConfig[];
    /**
     * @stability stable
     */
    set auditLogConfig(value: FolderIamAuditConfigAuditLogConfig[]);
    /**
     * @stability stable
     */
    get auditLogConfigInput(): FolderIamAuditConfigAuditLogConfig[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
