import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IapBrandConfig extends cdktf.TerraformMetaArguments {
    /**
     * Application name displayed on OAuth consent screen.
     *
     * @stability stable
     */
    readonly applicationTitle: string;
    /**
     * @stability stable
     */
    readonly project?: string;
    /**
     * Support email displayed on the OAuth consent screen.
     *
     * Can be either a
     * user or group email. When a user email is specified, the caller must
     * be the user with the associated email address. When a group email is
     * specified, the caller can be either a user or a service account which
     * is an owner of the specified group in Cloud Identity.
     *
     * @stability stable
     */
    readonly supportEmail: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IapBrandTimeouts;
}
/**
 * @stability stable
 */
export interface IapBrandTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
}
/**
 * @stability stable
 */
export declare class IapBrand extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IapBrandConfig);
    private _applicationTitle;
    /**
     * @stability stable
     */
    get applicationTitle(): string;
    /**
     * @stability stable
     */
    set applicationTitle(value: string);
    /**
     * @stability stable
     */
    get applicationTitleInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get orgInternalOnly(): boolean;
    private _project?;
    /**
     * @stability stable
     */
    get project(): string;
    /**
     * @stability stable
     */
    set project(value: string);
    /**
     * @stability stable
     */
    resetProject(): void;
    /**
     * @stability stable
     */
    get projectInput(): string | undefined;
    private _supportEmail;
    /**
     * @stability stable
     */
    get supportEmail(): string;
    /**
     * @stability stable
     */
    set supportEmail(value: string);
    /**
     * @stability stable
     */
    get supportEmailInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IapBrandTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IapBrandTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IapBrandTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
