import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IapClientConfig extends cdktf.TerraformMetaArguments {
    /**
     * Identifier of the brand to which this client is attached to.
     *
     * The format is
     * 'projects/{project_number}/brands/{brand_id}/identityAwareProxyClients/{client_id}'.
     *
     * @stability stable
     */
    readonly brand: string;
    /**
     * Human-friendly name given to the OAuth client.
     *
     * @stability stable
     */
    readonly displayName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IapClientTimeouts;
}
/**
 * @stability stable
 */
export interface IapClientTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
}
/**
 * @stability stable
 */
export declare class IapClient extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IapClientConfig);
    private _brand;
    /**
     * @stability stable
     */
    get brand(): string;
    /**
     * @stability stable
     */
    set brand(value: string);
    /**
     * @stability stable
     */
    get brandInput(): string;
    /**
     * @stability stable
     */
    get clientId(): string;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get secret(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IapClientTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IapClientTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IapClientTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
