import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IapWebTypeComputeIamMemberConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly member: string;
    /**
     * @stability stable
     */
    readonly project?: string;
    /**
     * @stability stable
     */
    readonly role: string;
    /**
     * condition block.
     *
     * @stability stable
     */
    readonly condition?: IapWebTypeComputeIamMemberCondition[];
}
/**
 * @stability stable
 */
export interface IapWebTypeComputeIamMemberCondition {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly expression: string;
    /**
     * @stability stable
     */
    readonly title: string;
}
/**
 * @stability stable
 */
export declare class IapWebTypeComputeIamMember extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IapWebTypeComputeIamMemberConfig);
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _member;
    /**
     * @stability stable
     */
    get member(): string;
    /**
     * @stability stable
     */
    set member(value: string);
    /**
     * @stability stable
     */
    get memberInput(): string;
    private _project?;
    /**
     * @stability stable
     */
    get project(): string;
    /**
     * @stability stable
     */
    set project(value: string);
    /**
     * @stability stable
     */
    resetProject(): void;
    /**
     * @stability stable
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    set role(value: string);
    /**
     * @stability stable
     */
    get roleInput(): string;
    private _condition?;
    /**
     * @stability stable
     */
    get condition(): IapWebTypeComputeIamMemberCondition[];
    /**
     * @stability stable
     */
    set condition(value: IapWebTypeComputeIamMemberCondition[]);
    /**
     * @stability stable
     */
    resetCondition(): void;
    /**
     * @stability stable
     */
    get conditionInput(): IapWebTypeComputeIamMemberCondition[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
