import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitoringCustomServiceConfig extends cdktf.TerraformMetaArguments {
    /**
     * Name used for UI elements listing this Service.
     *
     * @stability stable
     */
    readonly displayName?: string;
    /**
     * @stability stable
     */
    readonly project?: string;
    /**
     * An optional service ID to use.
     *
     * If not given, the server will generate a
     * service ID.
     *
     * @stability stable
     */
    readonly serviceId?: string;
    /**
     * telemetry block.
     *
     * @stability stable
     */
    readonly telemetry?: MonitoringCustomServiceTelemetry[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitoringCustomServiceTimeouts;
}
/**
 * @stability stable
 */
export interface MonitoringCustomServiceTelemetry {
    /**
     * The full name of the resource that defines this service.
     *
     * Formatted as described in
     * https://cloud.google.com/apis/design/resource_names.
     *
     * @stability stable
     */
    readonly resourceName?: string;
}
/**
 * @stability stable
 */
export interface MonitoringCustomServiceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitoringCustomService extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: MonitoringCustomServiceConfig);
    private _displayName?;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    resetDisplayName(): void;
    /**
     * @stability stable
     */
    get displayNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _project?;
    /**
     * @stability stable
     */
    get project(): string;
    /**
     * @stability stable
     */
    set project(value: string);
    /**
     * @stability stable
     */
    resetProject(): void;
    /**
     * @stability stable
     */
    get projectInput(): string | undefined;
    private _serviceId?;
    /**
     * @stability stable
     */
    get serviceId(): string;
    /**
     * @stability stable
     */
    set serviceId(value: string);
    /**
     * @stability stable
     */
    resetServiceId(): void;
    /**
     * @stability stable
     */
    get serviceIdInput(): string | undefined;
    private _telemetry?;
    /**
     * @stability stable
     */
    get telemetry(): MonitoringCustomServiceTelemetry[];
    /**
     * @stability stable
     */
    set telemetry(value: MonitoringCustomServiceTelemetry[]);
    /**
     * @stability stable
     */
    resetTelemetry(): void;
    /**
     * @stability stable
     */
    get telemetryInput(): MonitoringCustomServiceTelemetry[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitoringCustomServiceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitoringCustomServiceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitoringCustomServiceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
