import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecretManagerSecretVersionConfig extends cdktf.TerraformMetaArguments {
    /**
     * The current state of the SecretVersion.
     *
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * Secret Manager secret resource.
     *
     * @stability stable
     */
    readonly secret: string;
    /**
     * The secret data.
     *
     * Must be no larger than 64KiB.
     *
     * @stability stable
     */
    readonly secretData?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecretManagerSecretVersionTimeouts;
}
/**
 * @stability stable
 */
export interface SecretManagerSecretVersionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
}
/**
 * @stability stable
 */
export declare class SecretManagerSecretVersion extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecretManagerSecretVersionConfig);
    /**
     * @stability stable
     */
    get createTime(): string;
    /**
     * @stability stable
     */
    get destroyTime(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _secret;
    /**
     * @stability stable
     */
    get secret(): string;
    /**
     * @stability stable
     */
    set secret(value: string);
    /**
     * @stability stable
     */
    get secretInput(): string;
    private _secretData?;
    /**
     * @stability stable
     */
    get secretData(): string;
    /**
     * @stability stable
     */
    set secretData(value: string);
    /**
     * @stability stable
     */
    resetSecretData(): void;
    /**
     * @stability stable
     */
    get secretDataInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecretManagerSecretVersionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecretManagerSecretVersionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecretManagerSecretVersionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
