import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SourcerepoRepositoryIamBindingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly members: string[];
    /**
     * @stability stable
     */
    readonly project?: string;
    /**
     * @stability stable
     */
    readonly repository: string;
    /**
     * @stability stable
     */
    readonly role: string;
    /**
     * condition block.
     *
     * @stability stable
     */
    readonly condition?: SourcerepoRepositoryIamBindingCondition[];
}
/**
 * @stability stable
 */
export interface SourcerepoRepositoryIamBindingCondition {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly expression: string;
    /**
     * @stability stable
     */
    readonly title: string;
}
/**
 * @stability stable
 */
export declare class SourcerepoRepositoryIamBinding extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SourcerepoRepositoryIamBindingConfig);
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _members;
    /**
     * @stability stable
     */
    get members(): string[];
    /**
     * @stability stable
     */
    set members(value: string[]);
    /**
     * @stability stable
     */
    get membersInput(): string[];
    private _project?;
    /**
     * @stability stable
     */
    get project(): string;
    /**
     * @stability stable
     */
    set project(value: string);
    /**
     * @stability stable
     */
    resetProject(): void;
    /**
     * @stability stable
     */
    get projectInput(): string | undefined;
    private _repository;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    set repository(value: string);
    /**
     * @stability stable
     */
    get repositoryInput(): string;
    private _role;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    set role(value: string);
    /**
     * @stability stable
     */
    get roleInput(): string;
    private _condition?;
    /**
     * @stability stable
     */
    get condition(): SourcerepoRepositoryIamBindingCondition[];
    /**
     * @stability stable
     */
    set condition(value: SourcerepoRepositoryIamBindingCondition[]);
    /**
     * @stability stable
     */
    resetCondition(): void;
    /**
     * @stability stable
     */
    get conditionInput(): SourcerepoRepositoryIamBindingCondition[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
