import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SpannerDatabaseIamMemberConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly database: string;
    /**
     * @stability stable
     */
    readonly instance: string;
    /**
     * @stability stable
     */
    readonly member: string;
    /**
     * @stability stable
     */
    readonly project?: string;
    /**
     * @stability stable
     */
    readonly role: string;
    /**
     * condition block.
     *
     * @stability stable
     */
    readonly condition?: SpannerDatabaseIamMemberCondition[];
}
/**
 * @stability stable
 */
export interface SpannerDatabaseIamMemberCondition {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly expression: string;
    /**
     * @stability stable
     */
    readonly title: string;
}
/**
 * @stability stable
 */
export declare class SpannerDatabaseIamMember extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SpannerDatabaseIamMemberConfig);
    private _database;
    /**
     * @stability stable
     */
    get database(): string;
    /**
     * @stability stable
     */
    set database(value: string);
    /**
     * @stability stable
     */
    get databaseInput(): string;
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _instance;
    /**
     * @stability stable
     */
    get instance(): string;
    /**
     * @stability stable
     */
    set instance(value: string);
    /**
     * @stability stable
     */
    get instanceInput(): string;
    private _member;
    /**
     * @stability stable
     */
    get member(): string;
    /**
     * @stability stable
     */
    set member(value: string);
    /**
     * @stability stable
     */
    get memberInput(): string;
    private _project?;
    /**
     * @stability stable
     */
    get project(): string;
    /**
     * @stability stable
     */
    set project(value: string);
    /**
     * @stability stable
     */
    resetProject(): void;
    /**
     * @stability stable
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    set role(value: string);
    /**
     * @stability stable
     */
    get roleInput(): string;
    private _condition?;
    /**
     * @stability stable
     */
    get condition(): SpannerDatabaseIamMemberCondition[];
    /**
     * @stability stable
     */
    set condition(value: SpannerDatabaseIamMemberCondition[]);
    /**
     * @stability stable
     */
    resetCondition(): void;
    /**
     * @stability stable
     */
    get conditionInput(): SpannerDatabaseIamMemberCondition[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
